src/base/cs_prototypes.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_prototypes.h File Reference
`#include "cs_base.h"`
`#include "cs_mesh.h"`
`#include "cs_mesh_quantities.h"`
`#include "cs_mesh_bad_cells.h"`
Include dependency graph for cs_prototypes.h:

Go to the source code of this file.

## Functions
void | caltri (void)
void | csinit (const cs_int_t *irgpar, const cs_int_t *nrgpar)
void | dvvpst (const cs_int_t *nummai, const cs_int_t *numtyp, const cs_int_t *nvar, const cs_int_t *nscal, const cs_int_t *nvlsta, const cs_int_t *nvisbr, const cs_int_t *ncelps, const cs_int_t *nfbrps, const cs_int_t lstcel[], const cs_int_t lstfbr[], const cs_real_t rtp[], const cs_real_t propce[], cs_real_t tracel[], cs_real_t trafbr[])
void | findpt (const cs_int_t *ncelet, const cs_int_t *ncel, const cs_real_t *xyzcen, const cs_real_t *xx, const cs_real_t *yy, const cs_real_t *zz, cs_int_t *node, cs_int_t *ndrang)
void | fische (const cs_int_t *n, const cs_real_t *mu, cs_int_t p[])
void | haltyp (const cs_int_t *ivoset)
void | initi1 (void)
void | memfin (void)
void | numvec (const cs_int_t *ncelet, const cs_int_t *ncel, const cs_int_t *nfac, const cs_int_t *nfabor, const cs_int_t *lregis, cs_int_t *irveci, cs_int_t *irvecb, cs_int_t ifacel[], cs_int_t ifabor[], cs_int_t inumfi[], cs_int_t inumfb[], cs_int_t iworkf[], cs_int_t ismbs[])
void | tstvec (const cs_int_t *ncelet, const cs_int_t *ncel, const cs_int_t *nfac, const cs_int_t *nfabor, const cs_int_t ifacel[], const cs_int_t ifabor[], cs_int_t iworkf[], cs_int_t ismbs[], cs_int_t ismbv[], cs_real_t rworkf[], cs_real_t rsmbs[], cs_real_t rsmbv[])
void | usvpst (const cs_int_t *nummai, const cs_int_t *nvar, const cs_int_t *nscal, const cs_int_t *nvlsta, const cs_int_t *ncelps, const cs_int_t *nfacps, const cs_int_t *nfbrps, const cs_int_t itypps[3], const cs_int_t lstcel[], const cs_int_t lstfac[], const cs_int_t lstfbr[], const cs_real_t dt[], const cs_real_t rtpa[], const cs_real_t rtp[], const cs_real_t propce[])
void | zufall (const cs_int_t *n, const cs_real_t *a)
void | normalen (const cs_int_t *n, const cs_real_t *x)
void | cs_lagr_init_zone_class_param (const cs_int_t i_cs_params[], const cs_real_t r_cs_params[])
void | cs_lagr_define_zone_class_param (cs_int_t class_id, cs_int_t zone_id, const cs_int_t i_cs_params[], const cs_real_t r_cs_params[])
void | cs_lagr_status (int *model_flag, int *restart_flag, int *frozen_flag)
void | cs_user_coupling (void)
void | cs_user_join (void)
void | cs_user_mesh_bad_cells_tag (cs_mesh_t *mesh, cs_mesh_quantities_t *mesh_quantities)
void | cs_user_mesh_input (void)
void | cs_user_mesh_modify (cs_mesh_t *mesh)
void | cs_user_mesh_thinwall (cs_mesh_t *mesh)
void | cs_user_mesh_smoothe (cs_mesh_t *mesh)
void | cs_user_mesh_save (cs_mesh_t *mesh)
void | cs_user_mesh_warping (void)
void | cs_user_numbering (void)
void | cs_user_parallel_io (void)
void | cs_user_partition (void)
void | cs_user_periodicity (void)
void | cs_user_postprocess_writers (void)
void | cs_user_postprocess_meshes (void)
void | cs_user_postprocess_activate (int nt_max_abs, int nt_cur_abs, double t_cur_abs)
void | cs_user_saturne_coupling (void)
int | cs_user_solver_set (void)
void | cs_user_solver (const cs_mesh_t *mesh, const cs_mesh_quantities_t *mesh_quantities)
void | cs_user_syrthes_coupling (void)
void | cs_user_turbomachinery (void)
void | cs_user_turbomachinery_rotor (void)

## Function Documentation

void caltri | ( | void |  | ) |

void cs_lagr_define_zone_class_param | ( | cs_int_t | class_id,
|  | cs_int_t | zone_id,
|  | const cs_int_t | i_cs_params[],
|  | const cs_real_t | r_cs_params[]
| ) |  |

void cs_lagr_init_zone_class_param | ( | const cs_int_t | i_cs_params[],
|  | const cs_real_t | r_cs_params[]
| ) |  |

void cs_lagr_status | ( | int * | model_flag,
|  | int * | restart_flag,
|  | int * | frozen_flag
| ) |  |

void cs_user_coupling | ( | void |  | ) |

void cs_user_join | ( | void |  | ) |

void cs_user_mesh_bad_cells_tag | ( | cs_mesh_t * | mesh,
|  | cs_mesh_quantities_t * | mesh_quantities
| ) |  |

void cs_user_mesh_input | ( | void |  | ) |

void cs_user_mesh_modify | ( | cs_mesh_t * | mesh | ) |

void cs_user_mesh_save | ( | cs_mesh_t * | mesh | ) |

void cs_user_mesh_smoothe | ( | cs_mesh_t * | mesh | ) |

void cs_user_mesh_thinwall | ( | cs_mesh_t * | mesh | ) |

void cs_user_mesh_warping | ( | void |  | ) |

void cs_user_numbering | ( | void |  | ) |

void cs_user_parallel_io | ( | void |  | ) |

void cs_user_partition | ( | void |  | ) |

void cs_user_periodicity | ( | void |  | ) |

void cs_user_postprocess_activate | ( | int | nt_max_abs,
|  | int | nt_cur_abs,
|  | double | t_cur_abs
| ) |  |

void cs_user_postprocess_meshes | ( | void |  | ) |

void cs_user_postprocess_writers | ( | void |  | ) |

void cs_user_saturne_coupling | ( | void |  | ) |

void cs_user_solver | ( | const cs_mesh_t * | mesh,
|  | const cs_mesh_quantities_t * | mesh_quantities
| ) |  |

int cs_user_solver_set | ( | void |  | ) |

void cs_user_syrthes_coupling | ( | void |  | ) |

void cs_user_turbomachinery | ( | void |  | ) |

void cs_user_turbomachinery_rotor | ( | void |  | ) |

void csinit | ( | const cs_int_t * | irgpar,
|  | const cs_int_t * | nrgpar
| ) |  |

void dvvpst | ( | const cs_int_t * | nummai,
|  | const cs_int_t * | numtyp,
|  | const cs_int_t * | nvar,
|  | const cs_int_t * | nscal,
|  | const cs_int_t * | nvlsta,
|  | const cs_int_t * | nvisbr,
|  | const cs_int_t * | ncelps,
|  | const cs_int_t * | nfbrps,
|  | const cs_int_t | lstcel[],
|  | const cs_int_t | lstfbr[],
|  | const cs_real_t | rtp[],
|  | const cs_real_t | propce[],
|  | cs_real_t | tracel[],
|  | cs_real_t | trafbr[]
| ) |  |

void findpt | ( | const cs_int_t * | ncelet,
|  | const cs_int_t * | ncel,
|  | const cs_real_t * | xyzcen,
|  | const cs_real_t * | xx,
|  | const cs_real_t * | yy,
|  | const cs_real_t * | zz,
|  | cs_int_t * | node,
|  | cs_int_t * | ndrang
| ) |  |

void fische | ( | const cs_int_t * | n,
|  | const cs_real_t * | mu,
|  | cs_int_t | p[]
| ) |  |

void haltyp | ( | const cs_int_t * | ivoset | ) |

void initi1 | ( | void |  | ) |

void memfin | ( | void |  | ) |

void normalen | ( | const cs_int_t * | n,
|  | const cs_real_t * | x
| ) |  |

void numvec | ( | const cs_int_t * | ncelet,
|  | const cs_int_t * | ncel,
|  | const cs_int_t * | nfac,
|  | const cs_int_t * | nfabor,
|  | const cs_int_t * | lregis,
|  | cs_int_t * | irveci,
|  | cs_int_t * | irvecb,
|  | cs_int_t | ifacel[],
|  | cs_int_t | ifabor[],
|  | cs_int_t | inumfi[],
|  | cs_int_t | inumfb[],
|  | cs_int_t | iworkf[],
|  | cs_int_t | ismbs[]
| ) |  |

void tstvec | ( | const cs_int_t * | ncelet,
|  | const cs_int_t * | ncel,
|  | const cs_int_t * | nfac,
|  | const cs_int_t * | nfabor,
|  | const cs_int_t | ifacel[],
|  | const cs_int_t | ifabor[],
|  | cs_int_t | iworkf[],
|  | cs_int_t | ismbs[],
|  | cs_int_t | ismbv[],
|  | cs_real_t | rworkf[],
|  | cs_real_t | rsmbs[],
|  | cs_real_t | rsmbv[]
| ) |  |

void usvpst | ( | const cs_int_t * | nummai,
|  | const cs_int_t * | nvar,
|  | const cs_int_t * | nscal,
|  | const cs_int_t * | nvlsta,
|  | const cs_int_t * | ncelps,
|  | const cs_int_t * | nfacps,
|  | const cs_int_t * | nfbrps,
|  | const cs_int_t | itypps[3],
|  | const cs_int_t | lstcel[],
|  | const cs_int_t | lstfac[],
|  | const cs_int_t | lstfbr[],
|  | const cs_real_t | dt[],
|  | const cs_real_t | rtpa[],
|  | const cs_real_t | rtp[],
|  | const cs_real_t | propce[]
| ) |  |

void zufall | ( | const cs_int_t * | n,
|  | const cs_real_t * | a
| ) |  |